import { callCloudFunction } from '../../cloud'
import type { WerewolfGame, WerewolfPlayer } from '@/stores/games/werewolf'

// 狼人杀游戏相关API
export const werewolfAPI = {
  // 获取游戏数据
  getGameData(gameId: string, role: string) {
    return callCloudFunction<{ game: WerewolfGame }>('getWerewolfGame', { gameId, role })
  },

  // 玩家行动
  playerAction(gameId: string, playerId: string, action: string, target?: string) {
    return callCloudFunction<{ success: boolean }>('werewolfAction', { 
      gameId, playerId, action, target 
    })
  },

  // ... 狼人杀特有方法
}
